View Issue Details

IDProjectCategoryView StatusLast Update
0001185OpenMPT[All Projects] Generalpublic2019-02-19 07:36
ReportermanxAssigned Tomanx 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.29.00.* (current testing) 
Target VersionOpenMPT 1.29 / libopenmpt 0.5 (goals)Fixed in VersionOpenMPT 1.29.00.* (current testing) 
Summary0001185: Restructure MSVC bin directory layout
Description

Convert

bin\release\vs2017-static\x86-32-win10
bin\release\vs2017-static\x86-64-win10
bin\release\vs2017-static\arm-32-win10
bin\release\vs2017-static\arm-32-win10

to

bin\release\vs2017-win10-static\x86
bin\release\vs2017-win10-static\amd64
bin\release\vs2017-win10-static\arm
bin\release\vs2017-win10-static\arm64

.

Which has the advantage of being directly compatible with a possible change of installation directory contents.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0001011 new Automatic update 
related to 0001120 resolvedmanx Rethink PluginBridge naming 
related to 0001183 assignedmanx require C++14 
related to 0001186 assignedmanx Remove Windows XP support 
related to 0001123 assignedmanx Provide unified multi-arch installer 

Activities

manx

manx

2019-01-05 18:29

administrator  

msvc-bindir-v1-wip.7z (118,245 bytes)
manx

manx

2019-02-19 07:36

administrator   ~0003851

Implemented in r11387.

Issue History

Date Modified Username Field Change
2019-01-03 12:46 manx New Issue
2019-01-03 12:46 manx Status new => assigned
2019-01-03 12:46 manx Assigned To => manx
2019-01-03 12:46 manx Relationship added related to 0001011
2019-01-03 12:47 manx Relationship added related to 0001120
2019-01-03 12:47 manx Relationship added related to 0001183
2019-01-05 18:29 manx File Added: msvc-bindir-v1-wip.7z
2019-01-07 15:13 manx Relationship added related to 0001186
2019-02-19 07:19 manx Relationship added related to 0001123
2019-02-19 07:36 manx Status assigned => resolved
2019-02-19 07:36 manx Resolution open => fixed
2019-02-19 07:36 manx Fixed in Version => OpenMPT 1.29.00.* (current testing)
2019-02-19 07:36 manx Note Added: 0003851